Index: variables.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/variables.c,v
retrieving revision 1.18
diff -u -r1.18 variables.c
--- variables.c	29 Aug 2004 04:13:03 -0000	1.18
+++ variables.c	21 Sep 2004 10:59:46 -0000
@@ -51,12 +51,12 @@
 	val = GetVariable(space, name);
 	if (val == NULL)
 		return false;			/* not set -> assume "off" */
-	if (strcmp(val, "off") == 0)
-		return false;
+	if (strcasecmp(val, "off") == 0)
+		return false;			/* accept "off" or "OFF" as true */
 
 	/*
-	 * for backwards compatibility, anything except "off" is taken as
-	 * "true"
+	 * for backwards compatibility, anything except "off" or "OFF" is
+	 * taken as "true"
 	 */
 	return true;
 }
